:root {
    --background-hero-color: #1f2937;
    --background-header-color: #3b4c64;
    --background-Footer-color:#101010;
    --hero-logo-color: #F9FAF8;
    --secondary-link-text: #E5E7EB;
    --call-to-action: #3882F6;
    --quote-bg: #E5E7EB;
    --quote-text: #1F2937;
}

@font-face {
    font-family: "Roboto";
    src: url("../fonts/Roboto/Roboto-Regular.ttf");
}

@font-face {
    font-family: "Roboto Light";
    src: url("../fonts/Roboto/Roboto-Light.ttf");
}

* {
    box-sizing: border-box;
}

/* header */

header,
nav,
.logo,
a {
    font-family: "Roboto", sans-serif;
    text-decoration: none;
    transition: 0.3s ease;
}

header {
    display: flex;
    position: fixed;
    top: 0;
    width: 100%;
    height: 50px;
    padding: 15px 15px;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    z-index: 1000;
    background-color: var(--background-hero-color);
    color: var(--secondary-link-text);
    border-bottom: 2px solid var(--background-header-color);
}

nav {
    display: flex;
    gap: 20px;
    padding: 15px;
    align-items: center;
}

.logo {
    display: flex;
    align-items: center;
    font-size: 1.3rem;
    font-weight: bold;
    letter-spacing: 1px;
    color: var(--call-to-action);

}
/* ----- Common main body styling ----- */
a {
    color: var(--secondary-link-text);
}

a:hover,
a.active {
    color: var(--call-to-action);
}

a.active {
    font-weight: bold;
}


body {
    font-family: "Roboto" !important;
    margin: 0 auto !important;
    background-color: var(--background-hero-color) ;

}

main {
    max-width: none;
    
}

main>section:not(#hero):not(#call-to-action) {
    max-width: 1440px;
    margin: 0 auto;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}


/* footer*/

/* -----------------footer-------------------------- */
#footer {
background-color:var(--background-Footer-color);   
 color: var(--secondary-link-text);
   padding: 50px 5% 20px;
}

.footer-container {
  display: flex;
  flex-wrap: wrap; 
  gap: 40px;
  justify-content: space-between;
}

.footer-column {
  flex: 1;
  min-width: 200px;
}

.footer-column h3, .footer-column h4 {
  margin-bottom: 20px;
  color:var(--call-to-action); 
}

.footer-column ul {
  list-style: none;
  padding: 0;
}

.footer-column ul li a {
  color: var(--secondary-link-text);
  text-decoration: none;
  display: block;
  margin-bottom: 10px;
}

.footer-bottom {
  text-align: center;
  margin-top: 40px;
  padding-top: 20px;
  border-top: 1px solid #333;
  font-size: 0.9rem;
}


/*media queries*/

@media screen and (max-width: 780px) {

    header {
        height: auto;
        padding: 12px 15px;
        flex-direction: column;
        gap: 10px;

    }

    .logo {
        font-size: 1.1rem;
    }

    nav {
        width: 100%;
        justify-content: center;
        flex-wrap: wrap;
        gap: 12px;
        padding: 0;
    }

    nav a {
        font-size: 0.9rem;
    }
}
